# epforir.lex - AGFL Lexicon Interface file for the ep4ir grammar.
#
#  This lexicon interface is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This lexicon interface is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Library General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this lexicon interface; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#
#
#  This file is part of the English Phrases for Information Retrieval (EP4IR) AGFL grammar,
#  version 2.1, 2002-07-09
#  It can be processed using the AGFL parser generator to generate the ep4ir parser.
#
#  The grammar is based on the MEERTENS/KOSTER Affix Grammar for Basic English.
#    Original version 1962
#    Updated by C.H.A. Koster, 1991/1992
#    Adapted by Carole Tiberius, 1998
#    Adapted for IR applications by C.H.A. Koster, 2000
#    Adapted by Tjark Verhoeven 2001/2002
#
#  Copyright 1991-2002 University of Nijmegen.

LEXICON epforir.

  ADJE(GRAD).
  ADJE(GRAD,PREP).
  ADJE_TO(GRAD).
  ADVB.  
  NOUN(NUMB).
  DIMENSION.
  VERBI(PREP,TRAN).
  VERBS(PREP,TRAN).
  VERBV(PREP,TRAN).
  VERBG(PREP,TRAN).
  VERBP(PREP,TRAN).
  VERBI(PREP,TRAN, PART).
  VERBS(PREP,TRAN, PART).
  VERBV(PREP,TRAN, PART).
  VERBG(PREP,TRAN, PART).
  VERBP(PREP,TRAN, PART).
  PARTICLE(PART).
  AUXV(NUMB,PERS).
  ART(NUMB).
  COPI.
  COPS.
  COPP.
  COPV.
  COPG.
  DET(NUMB).
  PREDET(NUMB).
  PREPOS(PREP).
  PREPOS.
  POSSPRON.
  GENPRON.
  PERSPRON(NUMB, PERS, CASE).
  REFLPRON(NUMB,PERS).
  RELPRON(CASE).
  TOBE(NUMB, PERS).
  TOBE(TENS).
  TOHAVE(NUMB, PERS).
  TOHAVE(TENS).
  TNOUN.
  NOUNT(TRAD, NUMB).
  NOUNC(NUMB).
  MONTH.
  PNAME.
  NUM(TYPE).
  CON(LEVEL).
  WORD.

INCLUDES adj, noun, adv, misc, verb.

